Subject: Re: bug#57986: 29.0.50; Citation prefix lost when message-newline-and-reformat

From: Sean Whitton <[email-masked]>
Date: Fri, 23 Sep 2022 09:32:13 -0700

Hello,

On Fri 23 Sep 2022 at 06:21PM +02, Lars Ingebrigtsen wrote:

> `M-RET' uses the text before point as the prefix, so if you `M-RET' at
> the end of the second line, you get
>
> ---
>> This is some.
>>
>
>
>
>>
>> This is more.  This is more.  This is more.  This is more.  This is
>> more.  This is more.  This is more.
> ---
>
> which is what we're aiming for.  So I'm not sure whether this is a
> bug -- I think this is what it's meant to do.  But perhaps it should be
> documented better?

Yeah, the docstring sounds like do-what-I-mean reformatting, not
something more specific that cares about exactly where point is in the
line.  (I'd still advocate for changing it -- is there any use for this
command aside from splitting up quoted text like this?)

-- 
Sean Whitton